import axios from "axios";
import {timeout} from "./config.js";
const requestInstance = axios.create({
    baseURL:import.meta.env.VITE_BASE_API,
    timeout,
    method:"post"
})

const requestInstance_Map_token = axios.create({
    baseURL:import.meta.env.VITE_OPEN_API,
    timeout,
    method:"post"
})

const requestInstance_Service_token = axios.create({
    baseURL:import.meta.env.VITE_OPEN_API,
    timeout,
    method:"get",
})

const requestPost = axios.create({
    baseURL:import.meta.env.VITE_BASE_API,
    timeout,
    method:"post"
})

const requestGet = axios.create({
    baseURL:import.meta.env.VITE_BASE_API,
    timeout,
    method:"get",
})


export {
    requestInstance,
    requestInstance_Map_token,
    requestInstance_Service_token,
	requestPost,
	requestGet
}


